# spec file for package nodejs-nodejs-async-some

%global npmname async-some
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-async-some
Version:        1.0.1
Release:        0%{?dist}
Summary:        short-circuited, asynchronous version of Array.protototype.some
Url:            https://github.com/othiym23/async-some
Source0:        http://registry.npmjs.org/async-some/-/async-some-1.0.1.tgz
License:        ISC

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

BuildRequires: npm(dezalgo)

Requires: npm(dezalgo)

%description
short-circuited, asynchronous version of Array.protototype.some

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/async-some

cp -pr package.json some.js \
	%{buildroot}%{nodejs_sitelib}/async-some

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/async-some

%doc README.md
#%license LICENSE

%changelog
